## jansi 2.4.0

=== Makefile ===

include Makefile.common

.phony: all package native native-all deploy

all: package

JANSI_OUT:=target/native-$(OS_NAME)-$(OS_ARCH)

CCFLAGS:= -I$(JANSI_OUT) $(CCFLAGS)


clean-native:
	rm -rf $(JANSI_OUT)

$(JANSI_OUT)/%.o: src/main/native/%.c
	@mkdir -p $(@D)
	$(info running: $(CC) $(CCFLAGS) -c $< -o $@)
	$(CC) $(CCFLAGS) -c $< -o $@

$(JANSI_OUT)/$(LIBNAME): $(JANSI_OUT)/jansi.o $(JANSI_OUT)/jansi_isatty.o $(JANSI_OUT)/jansi_structs.o $(JANSI_OUT)/jansi_ttyname.o
	@mkdir -p $(@D)
	$(CC) $(CCFLAGS) -o $@ $(JANSI_OUT)/jansi.o $(JANSI_OUT)/jansi_isatty.o $(JANSI_OUT)/jansi_structs.o $(JANSI_OUT)/jansi_ttyname.o $(LINKFLAGS)

NATIVE_DIR=src/main/resources/org/fusesource/jansi/internal/native/$(OS_NAME)/$(OS_ARCH)
NATIVE_TARGET_DIR:=target/classes/org/fusesource/jansi/internal/native/$(OS_NAME)/$(OS_ARCH)
NATIVE_DLL:=$(NATIVE_DIR)/$(LIBNAME)

# For cross-compilation, install docker. See also https://github.com/dockcross/dockcross
native-all: linux-x86 linux-x86_64 linux-arm linux-armv6 linux-armv7 \
	linux-arm64 linux-ppc64 win-x86 win-x86_64 mac-x86 mac-x86_64 freebsd-x86 freebsd-x86_64

native: $(NATIVE_DLL)

$(NATIVE_DLL): $(JANSI_OUT)/$(LIBNAME)
	@mkdir -p $(@D)
	cp $< $@
	@mkdir -p $(NATIVE_TARGET_DIR)
	cp $< $(NATIVE_TARGET_DIR)/$(LIBNAME)

linux-x86:
	./docker/dockcross-linux-x86 bash -c 'make clean-native native OS_NAME=Linux OS_ARCH=x86'

linux-x86_64:
	docker run -it --rm -v $$PWD:/workdir -e CROSS_TRIPLE=x86_64-linux-gnu multiarch/crossbuild make clean-native native OS_NAME=Linux OS_ARCH=x86_64

linux-arm:
	docker run -it --rm -v $$PWD:/workdir -e CROSS_TRIPLE=arm-linux-gnueabi multiarch/crossbuild make clean-native native OS_NAME=Linux OS_ARCH=arm

linux-armv6:
	./docker/dockcross-linux-armv6 bash -c 'make clean-native native CROSS_PREFIX=armv6-unknown-linux-gnueabihf- OS_NAME=Linux OS_ARCH=armv6'

linux-armv7:
	docker run -it --rm -v $$PWD:/workdir -e CROSS_TRIPLE=arm-linux-gnueabihf multiarch/crossbuild make clean-native native OS_NAME=Linux OS_ARCH=armv7

linux-arm64:
	docker run -it --rm -v $$PWD:/workdir -e CROSS_TRIPLE=aarch64-linux-gnu multiarch/crossbuild make clean-native native OS_NAME=Linux OS_ARCH=arm64

linux-ppc64:
	docker run -it --rm -v $$PWD:/workdir -e CROSS_TRIPLE=powerpc64le-linux-gnu multiarch/crossbuild make clean-native native OS_NAME=Linux OS_ARCH=ppc64

win-x86:
	./docker/dockcross-windows-static-x86 bash -c 'make clean-native native CROSS_PREFIX=i686-w64-mingw32.static- OS_NAME=Windows OS_ARCH=x86'

win-x86_64:
	./docker/dockcross-windows-static-x64 bash -c 'make clean-native native CROSS_PREFIX=x86_64-w64-mingw32.static- OS_NAME=Windows OS_ARCH=x86_64'

mac-x86:
	docker run -it --rm -v $$PWD:/workdir -e CROSS_TRIPLE=i386-apple-darwin multiarch/crossbuild make clean-native native OS_NAME=Mac OS_ARCH=x86

mac-x86_64:
	docker run -it --rm -v $$PWD:/workdir -e CROSS_TRIPLE=x86_64-apple-darwin multiarch/crossbuild make clean-native native OS_NAME=Mac OS_ARCH=x86_64

mac-arm64:
	docker run -it --rm -v $$PWD:/src -e TARGET=arm64-apple-darwin mcandre/snek:darwin sh -c "make clean-native native CROSS_PREFIX=arm64-apple-darwin20.4- OS_NAME=Mac OS_ARCH=arm64"

freebsd-x86:
	docker run -it --rm -v $$PWD:/workdir empterdose/freebsd-cross-build:9.3 make clean-native native CROSS_PREFIX=i386-freebsd9- OS_NAME=FreeBSD OS_ARCH=x86

freebsd-x86_64:
	docker run -it --rm -v $$PWD:/workdir empterdose/freebsd-cross-build:9.3 make clean-native native CROSS_PREFIX=x86_64-freebsd9- OS_NAME=FreeBSD OS_ARCH=x86_64

#sparcv9:
#	$(MAKE) native OS_NAME=SunOS OS_ARCH=sparcv9

## jansi 1.4

=== debian/changelog ===
jansi (1.4-3) unstable; urgency=low

  * Team upload.
  * Install Maven artifacts. Thanks to James Page for supplying the patch.
    (Closes: #635028)

 -- Torsten Werner <twerner@debian.org>  Sat, 30 Jul 2011 18:54:42 +0200

jansi (1.4-2) unstable; urgency=low

  * Add Build-Depends on ant, ant-optional and junit4 in order to enable
    unit tests during build time.
  * Remove dependency on default-jre-headless in order to comply with
    Debian Java policy. (Closes: #617815).
  * Update watch file.

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 18 Mar 2011 19:03:56 -0430

jansi (1.4-1) unstable; urgency=low

  * Initial release. (Closes: #591728),

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 05 Aug 2010 21:39:40 -0430

=== debian/control ===
Source: jansi
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Build-Depends: debhelper (>= 7.0.50~), default-jdk, javahelper,
 libjansi-native-java, libhawtjni-runtime-java, ant, ant-optional, junit4,
 maven-repo-helper
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
Homepage: http://jansi.fusesource.org/
Vcs-Git: git://git.debian.org/git/pkg-java/jansi.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/jansi.git

Package: libjansi-java
Architecture: all
Depends: libjansi-native-java, libhawtjni-runtime-java, ${misc:Depends}
Description: Java library for generating and interpreting ANSI escape sequences
 Jansi is a small java library that allows you to use ANSI
 escape codes to format your console output which works across
 all platforms.
 .
 Jansi detects and abstracts the ANSI support provided
 by the attached terminal. When your Java application uses
 Jansi, it can always assume that standard out and error
 streams support ANSI sequences.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/jansi-native.jar:/usr/share/java/hawtjni-runtime.jar

%:
	dh --with javahelper --with maven-repo-helper $@

override_dh_auto_build:
	jh_build jansi.jar src/main/java

override_dh_auto_clean:
	dh_auto_clean
	ant -f debian/build.xml clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ant -f debian/build.xml test
endif

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan \
		--verbose \
		--no-symlink \
		--destdir $(CURDIR)      \
		--watchfile debian/watch \
		--force-download

=== debian/watch ===
version=3
http://repo1.maven.org/maven2/org/fusesource/jansi/jansi/ \
(1[0-9\.]*)/ \
debian debian/orig-tar.sh

## jansi 1.14

=== debian/changelog ===
jansi (1.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.14. (Closes: #617874)
  * Drop orig-tar.sh.
  * d/control: Remove obsolete DM-Upload-Allowed field.
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Use canonical Vcs-URI and https.
  * Switch from Ant to Maven build system. Remove obsolete Javahelper and Ant
    files. Add Debian specific Maven files and use correct substvars.
  * Update debian/watch and track the github releases.
  * Skip all tests and remove junit4 from Build-Depends.
  * Update debian/copyright and switch to copyright format 1.0.

 -- Markus Koschany <apo@debian.org>  Wed, 19 Oct 2016 21:11:55 +0200

=== debian/control ===
Source: jansi
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Miguel Landaeta <miguel@miguel.cc>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 libhawtjni-runtime-java,
 libjansi-native-java (>= 1.6),
 libmaven-bundle-plugin-java,
 maven-debian-helper
Standards-Version: 3.9.8
Homepage: http://jansi.fusesource.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-java/jansi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jansi.git

Package: libjansi-java
Architecture: all
Depends:
 ${maven:Depends},
 ${misc:Depends}
Recommends:
 ${maven:OptionalDepends}
Description: Java library for generating and interpreting ANSI escape sequences
 Jansi is a small java library that allows you to use ANSI
 escape codes to format your console output which works across
 all platforms.
 .
 Jansi detects and abstracts the ANSI support provided
 by the attached terminal. When your Java application uses
 Jansi, it can always assume that standard out and error
 streams support ANSI sequences.

## jansi 1.16

=== debian/changelog ===
jansi (1.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.
  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.
  * Tighten build-dependeny on jansi-native to >= 1.7.
  * Ignore jansi-freebsd artifacts.
  * Update copyright holders in d/copyright.
  * d/control: Update homepage field.

 -- Markus Koschany <apo@debian.org>  Wed, 12 Jul 2017 09:39:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  debhelper (>= 10),
  default-jdk,
  libhawtjni-runtime-java,
- libjansi-native-java (>= 1.6),
+ libjansi-native-java (>= 1.7),
  libmaven-bundle-plugin-java,
  maven-debian-helper
-Standards-Version: 3.9.8
-Homepage: http://jansi.fusesource.org/
+Standards-Version: 4.0.0
+Homepage: https://fusesource.github.io/jansi/
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/jansi.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jansi.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


get-orig-source:
	uscan --download-current-version --force-download

## jansi 1.17.1

=== debian/changelog ===
jansi (1.17.1-1) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871865)
  * Update copyright info.
  * Simplify d/rules.

  [ Emmanuel Bourg ]
  * New upstream release
    - Depend on libhawtjni-runtime-java (>= 1.16)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 16 Feb 2019 00:39:02 +0100

## jansi 1.18

=== debian/changelog ===
jansi (1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2019 23:50:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,17 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders:
- Miguel Landaeta <miguel@miguel.cc>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11~),
  default-jdk,
- libhawtjni-runtime-java,
+ libhawtjni-runtime-java (>= 1.16),
  libjansi-native-java (>= 1.7),
  libmaven-bundle-plugin-java,
  maven-debian-helper
-Standards-Version: 4.0.0
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/java-team/jansi.git
+Vcs-Browser: https://salsa.debian.org/java-team/jansi
 Homepage: https://fusesource.github.io/jansi/
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/jansi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jansi.git
 
 Package: libjansi-java
 Architecture: all

=== debian/watch ===
version=4
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
https://github.com/fusesource/jansi/tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R|r)jansi-project-(\d\S*)\.tar\.gz

## jansi 2.4.0

=== debian/changelog ===
jansi (2.4.0-2) unstable; urgency=medium

  * Team upload.
  * Bypass TTY detection to preserve the Maven coloring with dpkg-buildpackage
  * Exclude the Mac binaries from the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Sep 2022 19:51:25 +0200

jansi (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0.
  * Add myself to Uploaders.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.6.1.
  * Update debian/watch.

 -- Markus Koschany <apo@debian.org>  Wed, 22 Jun 2022 17:03:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  default-jdk,
  libhawtjni-runtime-java (>= 1.16),
  libjansi-native-java (>= 1.7),
  libmaven-bundle-plugin-java,
  maven-debian-helper
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/jansi.git
 Vcs-Browser: https://salsa.debian.org/java-team/jansi
 Homepage: https://fusesource.github.io/jansi/

## jansi 2.4.1

=== Makefile ===
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
include Makefile.common

.PHONY: all package native native-all deploy crossbuild ducible clean-native

linux-armv6-digest:=@sha256:7bad6ab302af34bdf6634c8c2b02c8dc6ac932c67da9ecc199c549ab405e971e
linux-x86-digest:=@sha256:7a8fda5ff1bb436ac1f2e7d40043deb630800fce33d123d04779d48f85702dcd
windows-static-x86-digest:=@sha256:896bd4a43bbc89502904afdc8d00e6f2422f8f35852cc59777d6426bfc8491e8
windows-static-x64-digest:=@sha256:f159861bc80b29e5dafb223477167bec53ecec6cdacb051d31e90c5823542100
windows-arm64-digest:=@sha256:f4b3c1a49ec8b53418cef1499dc3f9a54a5570b7a3ecdf42fc8c83eb94b01b7d
cross-build-digest:=@sha256:8dbaa86462270db93ae1b1b319bdd88d89272faf3a68632daf4fa36b414a326e
freebsd-crossbuild-digest:=@sha256:cda62697a15d8bdc0bc26e780b1771ee78f12c55e7d5813e62c478af5a747c43
mcandre-snek-digest:=@sha256:9f84e9fcdf66daafc1f1c3fb772a6c97977714e17800aeac2e3bbe5dc5039dd0

all: package

JANSI_OUT:=target/native-$(OS_NAME)-$(OS_ARCH)

CCFLAGS:= -I$(JANSI_OUT) $(CCFLAGS)

target:
	@test -d target || mkdir target

download-includes: target
	@test -d target/inc || mkdir target/inc
	@test -d target/inc/unix || mkdir target/inc/unix
	@test -d target/inc/windows || mkdir target/inc/windows
	test -f target/inc/jni.h || wget -O target/inc/jni.h https://raw.githubusercontent.com/openjdk/jdk/jdk-11%2B28/src/java.base/share/native/include/jni.h
	test -f target/inc/unix/jni_md.h || wget -O target/inc/unix/jni_md.h https://raw.githubusercontent.com/openjdk/jdk/jdk-11%2B28/src/java.base/unix/native/include/jni_md.h
	test -f target/inc/windows/jni_md.h || wget -O target/inc/windows/jni_md.h https://raw.githubusercontent.com/openjdk/jdk/jdk-11%2B28/src/java.base/windows/native/include/jni_md.h

dockcross: target
	@test -d target/dockcross || mkdir target/dockcross

# This target does not generate the same image digest that the one uploaded
#crossbuild: target
#	test -d target/crossbuild || git clone https://github.com/multiarch/crossbuild.git target/crossbuild
#	git -C target/crossbuild reset --hard d06cdc31fce0c85ad78408b44794366dafd59554
#	docker build target/crossbuild -t multiarch/crossbuild

ducible: target
	test -d target/ducible || git clone --branch v1.2.2 https://github.com/jasonwhite/ducible.git target/ducible
	make --directory=target/ducible ducible CROSS_PREFIX= CXX=g++ CC=gcc

clean-native:
	rm -rf $(JANSI_OUT)

$(JANSI_OUT)/%.o: src/main/native/%.c
	@mkdir -p $(@D)
	$(info running: $(CC) $(CCFLAGS) -c $< -o $@)
	$(CC) $(CCFLAGS) -c $< -o $@

ifeq ($(OS_NAME), Windows)
$(JANSI_OUT)/$(LIBNAME): ducible
endif
$(JANSI_OUT)/$(LIBNAME): $(JANSI_OUT)/jansi.o $(JANSI_OUT)/jansi_isatty.o $(JANSI_OUT)/jansi_structs.o $(JANSI_OUT)/jansi_ttyname.o
	@mkdir -p $(@D)
	$(CC) $(CCFLAGS) -o $@ $(JANSI_OUT)/jansi.o $(JANSI_OUT)/jansi_isatty.o $(JANSI_OUT)/jansi_structs.o $(JANSI_OUT)/jansi_ttyname.o $(LINKFLAGS)
ifeq ($(OS_NAME), Windows)
	target/ducible/ducible $(JANSI_OUT)/$(LIBNAME)
endif

NATIVE_DIR=src/main/resources/org/fusesource/jansi/internal/native/$(OS_NAME)/$(OS_ARCH)
NATIVE_TARGET_DIR:=target/classes/org/fusesource/jansi/internal/native/$(OS_NAME)/$(OS_ARCH)
NATIVE_DLL:=$(NATIVE_DIR)/$(LIBNAME)

# For cross-compilation, install docker. See also https://github.com/dockcross/dockcross
# Disabled linux-armv6 build because of this issue; https://github.com/dockcross/dockcross/issues/190
native-all: linux-x86 linux-x86_64 linux-arm linux-armv6 linux-armv7 \
	linux-arm64 linux-ppc64 win-x86 win-x86_64 win-arm64 mac-x86 mac-x86_64 mac-arm64 freebsd-x86 freebsd-x86_64

native: $(NATIVE_DLL)

$(NATIVE_DLL): $(JANSI_OUT)/$(LIBNAME)
	@mkdir -p $(@D)
	cp $< $@
	@mkdir -p $(NATIVE_TARGET_DIR)
	cp $< $(NATIVE_TARGET_DIR)/$(LIBNAME)

target/dockcross/dockcross-linux-x86: dockcross
	docker run --rm dockcross/linux-x86$(linux-x86-digest) > target/dockcross/dockcross-linux-x86
	chmod +x target/dockcross/dockcross-linux-x86
linux-x86: download-includes target/dockcross/dockcross-linux-x86
	target/dockcross/dockcross-linux-x86 bash -c 'make clean-native native OS_NAME=Linux OS_ARCH=x86'

linux-x86_64: download-includes
	docker run -it --rm -v $$PWD:/workdir --user $$(id -u):$$(id -g) \
		-e CROSS_TRIPLE=x86_64-linux-gnu multiarch/crossbuild$(cross-build-digest) make clean-native native OS_NAME=Linux OS_ARCH=x86_64

linux-arm: download-includes
	docker run -it --rm -v $$PWD:/workdir --user $$(id -u):$$(id -g) \
		-e CROSS_TRIPLE=arm-linux-gnueabi multiarch/crossbuild$(cross-build-digest) make clean-native native OS_NAME=Linux OS_ARCH=arm

target/dockcross/dockcross-linux-armv6: dockcross
	docker run --rm dockcross/linux-armv6$(linux-armv6-digest) > target/dockcross/dockcross-linux-armv6
	chmod +x target/dockcross/dockcross-linux-armv6
linux-armv6: download-includes target/dockcross/dockcross-linux-armv6
	target/dockcross/dockcross-linux-armv6 bash -c 'make clean-native native CROSS_PREFIX=armv6-unknown-linux-gnueabihf- OS_NAME=Linux OS_ARCH=armv6'

linux-armv7: download-includes
	docker run -it --rm -v $$PWD:/workdir --user $$(id -u):$$(id -g) \
		-e CROSS_TRIPLE=arm-linux-gnueabihf multiarch/crossbuild$(cross-build-digest) make clean-native native OS_NAME=Linux OS_ARCH=armv7

linux-arm64: download-includes
	docker run -it --rm -v $$PWD:/workdir --user $$(id -u):$$(id -g) \
		-e CROSS_TRIPLE=aarch64-linux-gnu multiarch/crossbuild$(cross-build-digest) make clean-native native OS_NAME=Linux OS_ARCH=arm64

linux-ppc64: download-includes
	docker run -it --rm -v $$PWD:/workdir --user $$(id -u):$$(id -g) \
		-e CROSS_TRIPLE=powerpc64le-linux-gnu multiarch/crossbuild$(cross-build-digest) make clean-native native OS_NAME=Linux OS_ARCH=ppc64

target/dockcross/dockcross-windows-static-x86: dockcross
	docker run --rm dockcross/windows-static-x86$(windows-static-x86-digest) > target/dockcross/dockcross-windows-static-x86
	chmod +x target/dockcross/dockcross-windows-static-x86
win-x86: download-includes target/dockcross/dockcross-windows-static-x86
	target/dockcross/dockcross-windows-static-x86 bash -c 'make clean-native native CROSS_PREFIX=i686-w64-mingw32.static- OS_NAME=Windows OS_ARCH=x86'

target/dockcross/dockcross-windows-static-x64: dockcross
	docker run --rm dockcross/windows-static-x64$(windows-static-x64-digest) > target/dockcross/dockcross-windows-static-x64
	chmod +x target/dockcross/dockcross-windows-static-x64
win-x86_64: download-includes target/dockcross/dockcross-windows-static-x64
	target/dockcross/dockcross-windows-static-x64 bash -c 'make clean-native native CROSS_PREFIX=x86_64-w64-mingw32.static- OS_NAME=Windows OS_ARCH=x86_64'

target/dockcross/dockcross-windows-arm64: dockcross
	docker run --rm dockcross/windows-arm64$(windows-arm64-digest) > target/dockcross/dockcross-windows-arm64
	chmod +x target/dockcross/dockcross-windows-arm64
win-arm64: download-includes target/dockcross/dockcross-windows-arm64
	target/dockcross/dockcross-windows-arm64 bash -c 'make clean-native native CROSS_PREFIX=aarch64-w64-mingw32- OS_NAME=Windows OS_ARCH=arm64'

mac-x86: download-includes
	docker run -it --rm -v $$PWD:/workdir --user $$(id -u):$$(id -g) \
		-e CROSS_TRIPLE=i386-apple-darwin multiarch/crossbuild$(cross-build-digest) make clean-native native OS_NAME=Mac OS_ARCH=x86

mac-x86_64: download-includes
	docker run -it --rm -v $$PWD:/workdir --user $$(id -u):$$(id -g) \
		-e CROSS_TRIPLE=x86_64-apple-darwin multiarch/crossbuild$(cross-build-digest) make clean-native native OS_NAME=Mac OS_ARCH=x86_64

mac-arm64: download-includes
	docker run -it --rm -v $$PWD:/src --user $$(id -u):$$(id -g) \
		-e TARGET=arm64-apple-darwin mcandre/snek$(mcandre-snek-digest) sh -c "make clean-native native CROSS_PREFIX=arm64-apple-darwin20.4- OS_NAME=Mac OS_ARCH=arm64"

freebsd-x86: download-includes
	docker run -it --rm -v $$PWD:/workdir --user $$(id -u):$$(id -g) \
		empterdose/freebsd-cross-build$(freebsd-crossbuild-digest) make clean-native native CROSS_PREFIX=i386-freebsd9- OS_NAME=FreeBSD OS_ARCH=x86

freebsd-x86_64: download-includes
	docker run -it --rm -v $$PWD:/workdir --user $$(id -u):$$(id -g) \
		empterdose/freebsd-cross-build$(freebsd-crossbuild-digest) make clean-native native CROSS_PREFIX=x86_64-freebsd9- OS_NAME=FreeBSD OS_ARCH=x86_64

#sparcv9:
#	$(MAKE) native OS_NAME=SunOS OS_ARCH=sparcv9

=== debian/changelog ===
jansi (2.4.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Tue, 13 Feb 2024 11:24:13 -0800

jansi (2.4.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.4.1.
  * Remove B-D on libjansi-native-java; not used during the build
  * Ignore spotless- and moditect-maven-plugins
  * Remove unneeded lintian-overrides

 -- tony mancill <tmancill@debian.org>  Thu, 04 Jan 2024 21:04:03 -0800

jansi (2.4.0-3) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libjansi-java: Add Multi-Arch: foreign.

  [ tony mancill ]
  * Revert bypass TTY detection patch (Closes: #1039607)
    Colorized output on non-TTYs can be forced with -Djansi.mode=force
    For the mvn wrapper, use MAVEN_OPTS="-Djansi.mode=force" mvn ...
  * Upload to experimental to preserve current colorization behavior
    until other Debian Java build toolchain components are updated to
    force colorized output.
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.6.2
  * Set Rules-Requires-Root: no in debian/control
  * Add lintian-overrides for Files-Excluded without source repack.
    This can be removed when either 2.4.0+ds or 2.4.1 are uploaded.

 -- tony mancill <tmancill@debian.org>  Sun, 24 Dec 2023 13:13:03 -0800

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  debhelper-compat (= 13),
  default-jdk,
  libhawtjni-runtime-java (>= 1.16),
- libjansi-native-java (>= 1.7),
  libmaven-bundle-plugin-java,
  maven-debian-helper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/jansi.git
 Vcs-Browser: https://salsa.debian.org/java-team/jansi
 Homepage: https://fusesource.github.io/jansi/
+Rules-Requires-Root: no
 
 Package: libjansi-java
 Architecture: all
@@ -22,6 +22,7 @@
  ${misc:Depends}
 Recommends:
  ${maven:OptionalDepends}
+Multi-Arch: foreign
 Description: Java library for generating and interpreting ANSI escape sequences
  Jansi is a small java library that allows you to use ANSI
  escape codes to format your console output which works across

=== debian/watch ===
version=4
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/jansi-$1\.tar\.gz/ \
https://github.com/fusesource/jansi/tags .*/jansi-?(\d\S+)\.tar\.gz

## jansi 2.4.2

=== Makefile ===
--- 
+++ 
@@ -15,14 +15,14 @@
 
 .PHONY: all package native native-all deploy crossbuild ducible clean-native
 
-linux-armv6-digest:=@sha256:7bad6ab302af34bdf6634c8c2b02c8dc6ac932c67da9ecc199c549ab405e971e
-linux-x86-digest:=@sha256:7a8fda5ff1bb436ac1f2e7d40043deb630800fce33d123d04779d48f85702dcd
-windows-static-x86-digest:=@sha256:896bd4a43bbc89502904afdc8d00e6f2422f8f35852cc59777d6426bfc8491e8
+linux-armv6-digest:=@sha256:a90a7deda7f561932d9ad658f8d661d17eeb44f4e7f7024ac087db1d0b95c6f5
+linux-x86-digest:=@sha256:fbe45fcb0c2ce82f84a998a1d37d67b3906502723ed89f8191c3243d9d835d17
+windows-static-x86-digest:=@sha256:b205eeeafaef4f44482d16254670da815d5679b03cf8e51e4adc3539d1c4a9c0
 windows-static-x64-digest:=@sha256:f159861bc80b29e5dafb223477167bec53ecec6cdacb051d31e90c5823542100
-windows-arm64-digest:=@sha256:f4b3c1a49ec8b53418cef1499dc3f9a54a5570b7a3ecdf42fc8c83eb94b01b7d
+windows-arm64-digest:=@sha256:5a8e872064c5f600386e4124f9425d3e2ce2e168cadb6626655b2d69ed748849
 cross-build-digest:=@sha256:8dbaa86462270db93ae1b1b319bdd88d89272faf3a68632daf4fa36b414a326e
 freebsd-crossbuild-digest:=@sha256:cda62697a15d8bdc0bc26e780b1771ee78f12c55e7d5813e62c478af5a747c43
-mcandre-snek-digest:=@sha256:9f84e9fcdf66daafc1f1c3fb772a6c97977714e17800aeac2e3bbe5dc5039dd0
+mcandre-snek-digest:=@sha256:e5aaf20daece19796dcd0553feb971143b71cc67d13d79d73649cc689fb87287
 
 all: package

=== debian/changelog ===
jansi (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 4.7.3
  * Converted debian/watch to the version 5 format

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Feb 2026 13:25:27 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libhawtjni-runtime-java (>= 1.16),
  libmaven-bundle-plugin-java,
  maven-debian-helper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/java-team/jansi.git
 Vcs-Browser: https://salsa.debian.org/java-team/jansi
 Homepage: https://fusesource.github.io/jansi/

=== debian/watch ===
Version: 5
Template: GitHub
Owner: fusesource
Project: jansi
